NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.Features.EmbossProjection Class Reference

Represents a projection object. More...

Inheritance diagram for NXOpen.Features.EmbossProjection:

Public Types

enum  ProjectionOption {
  Endcap, Target, Face, Plane,
  None
}
 Describes the geometry for projection More...
 

Properties

unsafe NXOpen.ScCollector Face [get, set]
 Returns or sets the projection face More...
 
unsafe
NXOpen.Features.EmbossProjection.ProjectionOption 
Option [get, set]
 Returns or sets the projection option More...
 
unsafe NXOpen.ISurface Plane [get, set]
 Returns or sets the projection plane More...
 

Detailed Description

Represents a projection object.

Emboss projection object describes how to project section and to help build sidewall geometry.

Following are default values and options:

Projection Option Features.EmbossProjection.ProjectionOption.Endcap

Projection Face User must set it when projection option is face.

Projection Datum Plane User must set it when projection option is plane.

Created in NX4.0.0

Member Enumeration Documentation

Describes the geometry for projection

Enumerator
Endcap 

Indicates the geometry is End-Cap.

Target 

Indicates the geometry is target.

Face 

Indicates the geometries are selected faces.

Plane 

Indicates the geometry is datum plane.

None 

Indicates no geometry.

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Features.EmbossProjection.Face
getset

Returns or sets the projection face

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.EmbossProjection.ProjectionOption NXOpen.Features.EmbossProjection.Option
getset

Returns or sets the projection option

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ISurface NXOpen.Features.EmbossProjection.Plane
getset

Returns or sets the projection plane

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.